﻿using UnityEngine;
using System.Collections;

/**
 * Add to simple collision items to advance the story in Unity
 * 
 */
public class BaseCollider : MonoBehaviour {
	
	public bool disableOnCollide;

	GamFlow gameFlow;

	// Use this for initialization
	void Start () {
		GameObject flowObject = GameObject.Find("GameFlow");
		gameFlow = flowObject.GetComponent<GamFlow>();
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnTriggerEnter(Collider other) {
		if(other.gameObject.tag == "PlayerTouch"){
			gameFlow.reportCollision(name);

			if(disableOnCollide){
				collider.enabled = false;
			}
		}
	}
}
